<ol class="breadcrumb" breadcrumb="">
  <li class="breadcrumb-item"><a href="#/bots">Bots</a></li>
  <li class="breadcrumb-item active">{{ bot.bot_name }}</li>
  <li class="breadcrumb-menu">
    <div class="btn-group" role="group">
      <a class="btn btn-outline-secondary" ng-click="deleteBot()" confirm-click-title="Delete Bot"
        confirm-click="Are you sure? This will delete the bot, all its intents, expressions, and resolved entities."><i
          class="icon-trash"></i> &nbsp;Xóa Bot</a>
    </div>
  </li>
</ol>

<div class="container-fluid">
  <div class="animated fadeIn">
    <div class="row">
      <div class="col-sm-12 col-lg-12">
        <div class="card">
          <div class="card-header">
<<<<<<< HEAD
            <strong>Cài Đặt</strong>
=======
            <strong>Cài đặt</strong>
>>>>>>> 4e6345a38baef599ee31990d8cc81106024cefc0
            <span class="float-right">
              <a class="btn btn-ghost-primary" data-toggle="collapse" data-target="#bot_settings" aria-expanded="true"
                aria-controls="collapseOne"><i class="icon-arrow-down"></i></a>
            </span>
          </div>
          <div id="accordion" role="tablist">
            <div id="bot_settings" class="collapse" role="tabpanel" aria-labelledby="headingOne"
              data-parent="#accordion">
              <div class="card-block">
                <div class="form-group">
                  <label for="{{bot.bot_id}}_formGroupInput1">Tên</label>
                  <input ng-model="bot.bot_name" autocomplete="off" type="text" class="form-control"
                    id="{{bot.bot_id}}_formGroupInput1" placeholder="Bot Name" value="{{ bot.bot_name }}">
                </div>
                <div class="form-group">
                  <label for="{{bot.bot_id}}_formGroupInput2">Cấu hình Bot</label>
                  <textarea class="datainput form-control" id="{{bot.bot_id}}_formGroupInput2"
                    ng-model="bot.bot_config" >{{ bot.bot_config}}</textarea>
                </div>
                <div class="form-group">
                  <label for="{{bot.bot_id}}_formGroupInput3">Đường dẫn tệp đầu ra</label>
                  <input ng-model="bot.output_folder" autocomplete="off" type="text" class="form-control"
                    id="{{bot.bot_id}}_formGroupInput3" placeholder="Output Folder" value="{{ bot.output_folder }}"> &nbsp;
                </div>
              </div>
              <div class="card-footer">
                <button type="submit" class="btn btn-sm btn-primary" ng-click="editBotInfo(bot)"><i
                    class="fa fa-dot-circle-o"></i>Lưu</button>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="col-sm-12 col-lg-12">
        <div class="card">
          <div class="card-header">
<<<<<<< HEAD
            <strong>Ý Định</strong>
=======
            <strong>Ý định</strong>
>>>>>>> 4e6345a38baef599ee31990d8cc81106024cefc0
            <input id="botFilter" style="width:30%" autocomplete="off" class="filtertext" type="text" name="search"
              ng-model="intentFilterText" placeholder="Filter Intents..">
            <span class="float-right">
              <a class="btn btn-ghost-primary" href="#/bot/{{ bot.bot_id }}/intent/add" data-toggle="tooltip"
                data-placement="top" title="Click để thêm Ý định" tooltip><i class="icon-plus"></i></a>
            </span>
          </div>
          <div class="card-block">
            <div class="row">
              <div class="col-sm-12">
                <div class="list-group" dir-paginate="intent in intentList| filter:intentFilterText  | itemsPerPage: 5"
                  pagination-id="intentsList">
                  <div class="list-group-item">
                    <a href="#/bot/{{ intent.bot_id }}/intent/{{
                        intent.intent_id
                      }}">{{ intent.intent_name }}</a>
                  </div>
                </div>
              </div>
            </div>
            <br />
            <div style="float:right">
              <dir-pagination-controls pagination-id="intentsList"></dir-pagination-controls>
            </div>
          </div>
        </div>
      </div>
      <div class="col-sm-12 col-lg-12">
        <div class="card">
          <div class="card-header">
            <strong>Thực thể</strong>
            <span class="float-right">
              <a class="btn btn-ghost-primary" href="#/bot/{{ bot.bot_id }}/entity/add"><i class="icon-plus"></i></a>
            </span>
          </div>
          <div class="card-block">
            <div class="row">
              <div class="col-sm-12">
                <div class="list-group" dir-paginate="entity in entitiesList  | itemsPerPage: 5"
                  pagination-id="entitiesList">
                  <div class="list-group-item">
                    <a href="#/bot/{{ bot.bot_id }}/entity/{{ entity.entity_id }}">{{ entity.entity_name }}</a>
                  </div>
                </div>
              </div>
            </div>
            <br />
            <div style="float:right">
              <dir-pagination-controls pagination-id="entitiesList"></dir-pagination-controls>
            </div>
          </div>
        </div>
      </div>
      <!-- tuandh add faq components -->
      <div class="col-sm-12 col-lg-12">
        <div class="card">
          <div class="card-header">
            <strong>QnA</strong>
            <input id="botRetrivalFilter" style="width:30%" autocomplete="off" class="filtertext" type="text" name="search"
              ng-model="intentFilterText" placeholder="Filter Intents..">
            <span class="float-right">
              <a class="btn btn-ghost-primary" href="#/bot/{{ bot.bot_id }}/faq/add" data-toggle="tooltip"
                data-placement="top" title="Click to Add a New Intent" tooltip><i class="icon-plus"></i></a>
            </span>
          </div>
          <div class="card-block">
            <div class="row">
              <div class="col-sm-12">
                <div class="list-group" dir-paginate="retrival_intent in retrivalIntentList| filter:intentFilterText  | itemsPerPage: 5"
                  pagination-id="retrivalIntentsList">
                  <div class="list-group-item">
                    <a href="#/bot/{{ retrival_intent.bot_id }}/faq/{{
                      retrival_intent.retrival_intent_id
                      }}">{{ retrival_intent.retrival_intent_name }}</a>
                  </div>
                </div>
              </div>
            </div>
            <br />
            <div style="float:right">
              <dir-pagination-controls pagination-id="retrivalIntentsList"></dir-pagination-controls>
            </div>
          </div>
        </div>
      </div>

      <!-- end -->
    </div>
    <div class="row">
      <div class="col-sm-6 col-lg-6">
        <div class="card">
          <div class="card-header">
            <strong>Từ đồng nghĩa</strong>
            <span class="float-right">
              <a class="btn btn-ghost-primary" href="#/bot/{{ bot.bot_id }}/synonyms/add" data-toggle="tooltip"
                data-placement="top" title="Click to Add a New Synonym" tooltip><i class="icon-plus"></i></a>
            </span>
          </div>
          <div class="card-block">
            <div class="row">
              <div class="col-sm-12">
                <div class="list-group" dir-paginate="synonym in synonymsList  | itemsPerPage: 5"
                  pagination-id="synonymsList">
                  <div class="list-group-item">
                    <a href="#/bot/{{ bot.bot_id }}/synonym/{{
                        synonym.synonym_id
                      }}">{{ synonym.synonym_reference }}</a>
                  </div>
                </div>
              </div>
            </div>
            <br />
            <div style="float:right">
              <dir-pagination-controls pagination-id="synonymsList"></dir-pagination-controls>
            </div>
          </div>
        </div>
      </div>
      <div class="col-sm-6 col-lg-6">
        <div class="card">
          <div class="card-header">
            <strong>Regex</strong>
            <span class="float-right">
              <a class="btn btn-ghost-primary" href="#/bot/{{ bot.bot_id }}/regex/add"><i class="icon-plus"></i></a>
            </span>
          </div>
          <div class="card-block">
            <div class="row">
              <div class="col-sm-12">
                <div class="list-group" dir-paginate="regex in regexList  | itemsPerPage: 5" pagination-id="regexList">
                  <div class="list-group-item">
                    <a href="#/bot/{{ bot.bot_id }}/regex/{{
                        regex.regex_id
                      }}">{{ regex.regex_name }}</a>
                  </div>
                </div>
              </div>
            </div>
            <br />
            <div style="float:right">
              <dir-pagination-controls pagination-id="regexList"></dir-pagination-controls>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
